package com.ibeetl.admin.core.dao;

import com.ibeetl.admin.core.entity.CoreMenu;
import java.util.List;
import org.beetl.sql.core.page.PageRequest;
import org.beetl.sql.core.page.PageResult;
import org.beetl.sql.mapper.BaseMapper;
import org.beetl.sql.mapper.annotation.SqlResource;

@SqlResource("core.coreMenu")
public interface CoreMenuDao extends BaseMapper<CoreMenu> {

  PageResult queryByCondtion(PageRequest query);

  void clearMenuFunction(List<Long> functionIds);

  List<CoreMenu> allMenuWithURL();

}
